> ## Documentation Index
> Fetch the complete documentation index at: https://developers.lucca.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# List fixed natures

> Retrieve all existing fixed natures



## OpenAPI

````yaml /openapi-specs/pagga-remuneration.yaml get /remuneration/api/fixed-natures
openapi: 3.1.0
info:
  title: Lucca-Compensation
  version: '1.0'
  description: >-
    Welcome on the documentation for the Lucca Compensation API.


    Lucca Compensation is an online compensation management service that offers
    a complete picture of compensation structure (basic salary, variable
    compensation item, ...). 
  contact:
    name: API Support
    url: https://support.lucca.fr
    email: contact@luccasoftware.com
  license:
    name: Unlicensed
    url: https://www.luccasoftware.com
servers:
  - url: https://{host}
    description: Your Lucca account URL.
    variables:
      host:
        default: example.ilucca.net
        description: >-
          The URL of your dedicated Lucca account: `{account}.{env}.{region}`.


          Account reflects your company name. Env indicates the environment.
          Region depends on your server location.


          **Please, use your test or sandbox environments (and not your
          production env.) for testing purposes.**


          Environments:

          - `ilucca`: production environment for customers.

          - `ilucca-test`: test environment for customers.

          - `ilucca-demo`: demo environment for prospects.


          Regions:

          - `.ch` for Swiss located accounts.

          - `.net` for the others.


          Regarding sandboxes, the pattern differs:
          `https://{account}-{sandboxName}.sandbox.{server}.luccasoftware.com`,
          where:

          - `{sandboxName}` is automatically generated upon creation.

          - `{server}` may be "eu1", "eu2" or "ch1".
security: []
tags:
  - name: fixed-nature
    description: Represents a type of remuneration that is fixed, i.e. does not vary.
  - name: fixed-nature-category
    description: Represents a category of fixed-nature.
  - name: variable-nature
    description: Represents a type of remuneration that varies.
  - name: variable-nature-category
    description: Represents a category of variable-natures.
  - name: RemunerationNatures
    description: Types of remuneration.
  - name: variable-item
    description: Represents a remuneration item of type "variable-nature".
  - name: fixed-item
    description: Represents a remuneration item of type "fixed-nature".
paths:
  /remuneration/api/fixed-natures:
    parameters:
      - $ref: '#/components/parameters/Authorization'
    get:
      tags:
        - fixed-nature
      summary: List fixed natures
      description: Retrieve all existing fixed natures
      operationId: ListFixedNatures
      parameters:
        - name: establishmentIds
          in: query
          description: Only return fixed natures linked to the specified establishments.
          schema:
            uniqueItems: true
            type: array
            items:
              type: integer
              format: int32
        - name: limit
          description: For paging. Number of items per page.
          in: query
          allowEmptyValue: true
          schema:
            type: integer
            default: 10
        - name: page
          in: query
          description: |-
            Two strategy might be used:

            - Continuation token paging
            - Offset limit paging
          allowEmptyValue: true
          schema:
            oneOf:
              - type: string
              - type: integer
          examples:
            Continuation token paging:
              value: next_token&fields.root=next
            Offset limit paging:
              value: '2'
        - name: sort
          in: query
          description: >-
            This parameters syntax is consistent among every Lucca application,
            and its BNF grammar is defined as follow.

            ```bnf

            <sort>                  ::= '-|+'? <property> ( ',' <property> )*

            <property>              ::= <strictString> ( '.' <strictString> )*

            <strictString>          ::= ( <char> | <digit> | '_' | '-' )+

            ```
          allowEmptyValue: true
          schema:
            default: Name
          examples:
            Asc sorting:
              value: id
            Desc sorting:
              value: '-id'
            Multi properties sorting comma separated:
              value: name,legalentity.name
            Multi properties sorting ampersand separated:
              value: sort=age&sort=-score
        - name: fields.root
          in: query
          description: Properties that make sense on the collection level
          allowEmptyValue: true
          style: form
          explode: false
          schema:
            type: array
            items:
              enum:
                - next
                - prev
                - count
              type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FixedNaturePage'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  parameters:
    Authorization:
      name: Authorization
      required: true
      description: 'API key. Value must be formatted like so: `lucca application={api_key}`.'
      in: header
      schema:
        type: string
  schemas:
    FixedNaturePage:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/FixedNature'
        next:
          type:
            - string
            - 'null'
        prev:
          type:
            - string
            - 'null'
        count:
          type:
            - integer
            - 'null'
          format: int32
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type:
            - string
            - 'null'
        title:
          type:
            - string
            - 'null'
        status:
          type:
            - integer
            - 'null'
          format: int32
        detail:
          type:
            - string
            - 'null'
        instance:
          type:
            - string
            - 'null'
      additionalProperties: {}
    FixedNature:
      type: object
      properties:
        id:
          type: integer
          description: An unique identifier for the fixed nature
          format: int32
        name:
          maxLength: 50
          minLength: 1
          type: string
          description: The display name
          example: Basic salary
        category:
          anyOf:
            - $ref: '#/components/schemas/FixedNatureCategory'
              description: Fixed nature category
            - type: 'null'
        establishments:
          description: Establishments linked to the fixed nature
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Establishment'
      additionalProperties: false
      description: Fixed nature
    FixedNatureCategory:
      type: object
      properties:
        id:
          type: integer
          description: An unique identifier for the fixed nature category
          format: int32
        code:
          type:
            - string
            - 'null'
          description: An internal unique code identifying the category
          example: BASIC_SALARY
      additionalProperties: false
      description: Fixed nature category
    Establishment:
      type: object
      properties:
        id:
          type: integer
          description: An unique identifier for the establishment
          format: int32
        name:
          type: string
          description: The display name
          example: Lucca FR
        currencyCode:
          type: string
          description: Currency code used in this establishment
          example: EUR
        currencySymbol:
          type: string
          description: Currency symbol used in this establishment
          example: €
      additionalProperties: false

````